<?php
session_start();

require_once '../../../script_php/Conexao.php';
require_once '../../../script_php/RemotoInterno.php';
require_once '../../../gerador/MysqlConsulta.php';
require_once '../../../gerador/SqlServer.php';
require_once '../../../script_php/ConexaoSQL.php';

$sqlServer = new sqlServer;
$mysql = new MysqlConsulta;
$remoto = new RemotoInterno;

$usuario = $_SESSION['usuario'];

$antecipacao = $mysql->recebimentosAntecipados($conexao);

foreach ($antecipacao as $antecipado) {

    //if ($antecipado['nsu'] == '337374730'){



    $rest = trim($antecipado['nsu'] . $antecipado['parcela'] . $antecipado['loja_origem'] . $antecipado['data_venda']);

   $restMysql =  $mysql->buscarRest($conexao,$rest);
    

   foreach ($restMysql as $restMysql) {

    $restRetorno = $restMysql['rest'];

}
    $mysql->informarBaixaNsu($conexao, $rest);

    $dataRecebimento = $antecipado['recebimento'];

    $dataVencimentoRede3 = date("Y-d-m", strtotime($dataRecebimento));
    $dataVendaRede = date("Y-d-m", strtotime($antecipado['data_venda']));

    $conta = $remoto->contaLoja($antecipado['loja_origem']);
       
   $sqlServer->baixarAntecipacao( $dataVencimentoRede3,$antecipado['valor_parcela'],$conta,$antecipado['nsu'],$antecipado['parcela'],$dataVendaRede,$antecipado['loja_origem'],$usuario);
}

header("Location:../../../importarArquivoRede.php");